## apt-file 2.5.1

=== Makefile ===
#
# apt-file - APT package searching utility -- command-line interface
# Makefile
#

#DESTDIR=debian/apt-file

INSTALL=install
DOCBOOK2MAN=docbook2man

BINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc/apt
MANDIR=$(DESTDIR)/usr/share/man/man1
COMPDIR=$(DESTDIR)/etc/bash_completion.d

all: man

install:
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -m 644 apt-file.1 $(MANDIR)
	$(INSTALL) -m 644 diffindex-download.1 $(MANDIR)
	$(INSTALL) -m 644 diffindex-rred.1 $(MANDIR)
	$(INSTALL) -m 644 rapt-file.1 $(MANDIR)
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) -m 755 apt-file $(BINDIR)
	$(INSTALL) -m 755 diffindex-download $(BINDIR)
	$(INSTALL) -m 755 diffindex-rred $(BINDIR)
	$(INSTALL) -d -m 755 $(ETCDIR)
	$(INSTALL) -m 644 apt-file.conf $(ETCDIR)
	$(INSTALL) -d -m 755 $(COMPDIR)
	$(INSTALL) -m 644 apt-file.bash_completion $(COMPDIR)/apt-file

uninstall:
	rm -f $(BINDIR)/apt-file
	rm -f $(ETCDIR)/apt-file.conf
	rm -f $(MANDIR)/apt-file.1
	rm -f $(MANDIR)/rapt-file.1

man:
	$(DOCBOOK2MAN) apt-file.1.sgml
	$(DOCBOOK2MAN) diffindex-download.1.sgml
	$(DOCBOOK2MAN) diffindex-rred.1.sgml
	$(DOCBOOK2MAN) apt-file.fr.1.sgml
	$(DOCBOOK2MAN) rapt-file.1.sgml

test:
	make -C tests-apt-file test
	make -C tests-diffindex test

clean:
	rm -f *~ manpage.* apt-file.1 apt-file.fr.1 diffindex-download.1 diffindex-rred.1
	make -C tests-apt-file clean
	make -C tests-diffindex clean

=== debian/changelog ===
apt-file (2.5.1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Fix searching for patterns that start with a '-'. This still requires
    specifying '--' before the pattern (closes: #631438, LP: #801336)
  * Unset env variables that may influence the behaviour of grep
    (closes: #617183).
  * Japanese translation of update-notifier text by Hideki Yamane
    (closes: #641199).
  * Improve man page layout and help output text. Thanks Jari Aalto for
    the patch! (Closes: #651695)
  * rapt-file: replace dpkg-architecture call with dpkg --architecture,
    obsoleting the depends-heavy recommendation on dpkg-dev. Thanks
    helix84 (Closes: #671225).
  * Checked for policy 3.9.3, no changes needed. Add explicit python
    recommendation, even though we transitively recommended it via
    python-apt already, to satisfy Lintian.
  * Add rapt-file manual page (Closes: #613005).

  [ Enrico Zini ]
  * rapt-file: Updated distribution names, now it works on wheezy.
    (Closes: #663592)
  * rapt-file: deal with missing /etc/apt/sources.list. (Closes: #636564)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 03 Jun 2012 10:26:36 +0200

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Stefan Fritsch <sf@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl,
 libregexp-assemble-perl, libfile-temp-perl
Recommends: python, python-apt
Suggests: openssh-client, sudo
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.
 If you would prefer not to download the large files used by apt-file you can
 run rapt-file, which calls a remote server to do the searches.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	TEST_TARGET =
else
	TEST_TARGET = test
endif


VERSION=$(shell dpkg-parsechangelog |egrep ^Version: | cut -d ' ' -f 2)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all $(TEST_TARGET)
	#/usr/bin/docbook-to-man debian/apt-file.sgml > apt-file.1
	touch build-stamp

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/apt-file.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/apt-file
	perl -p -i -e 's/^use constant VERSION.*/use constant VERSION => "$(VERSION)";/' debian/apt-file/usr/bin/apt-file
	install -m 644 debian/apt-file.update-notifier    debian/apt-file/usr/share/apt-file/apt-file-update.update-notifier
	install -m 755 debian/apt-file.do-apt-file-update debian/apt-file/usr/share/apt-file/do-apt-file-update
	install -m 755 debian/apt-file.is-cache-empty     debian/apt-file/usr/share/apt-file/is-cache-empty
	install -m 755 rapt-file			  debian/apt-file/usr/bin/rapt-file


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installcron
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## apt-file 2.5.1ubuntu1

=== debian/changelog ===
apt-file (2.5.1ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable (LP: #1073472).  Remaining changes:
    - Fix location of Contents files for Ubuntu.

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 31 Oct 2012 10:09:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-file
 Section: admin
 Priority: optional
-Maintainer: Stefan Fritsch <sf@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Fritsch <sf@debian.org>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl
 Standards-Version: 3.9.3

## apt-file 2.5.2ubuntu1

=== Makefile ===
--- 
+++ 
@@ -44,10 +44,11 @@
 	$(DOCBOOK2MAN) rapt-file.1.sgml
 
 test:
+	prove
 	make -C tests-apt-file test
 	make -C tests-diffindex test
 
 clean:
-	rm -f *~ manpage.* apt-file.1 apt-file.fr.1 diffindex-download.1 diffindex-rred.1
+	rm -f *~ manpage.* apt-file.1 rapt-file.1 apt-file.fr.1 diffindex-download.1 diffindex-rred.1
 	make -C tests-apt-file clean
 	make -C tests-diffindex clean

=== tests-apt-file/Makefile ===
TEST_PRG=../apt-file
TEST_SOURCE=./sources.list
TEST_CACHE=./cache
TEST_CONFIG=../apt-file.conf

test:
	set -e ; for a in cache/*fooarch ; do gzip -c < $$a > $$a.gz ; done
	./runtests APT_FILE_CONFIG=$(TEST_CONFIG) $(TEST_PRG) -s $(TEST_SOURCE) -c $(TEST_CACHE) -a fooarch

clean:
	rm -f cache/*.gz

=== tests-diffindex/Makefile ===
test:
	./runtests

clean:
	rm -f *.out *.tmp

=== debian/changelog ===
apt-file (2.5.2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix location of Contents files for Ubuntu.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 06 May 2013 19:03:12 +0530

apt-file (2.5.2) unstable; urgency=low

  [ Stefan Fritsch ]
  * Properly detect failed attempt to apply patches. Closes: #687221

  [ Niels Thykier ]
  * New maintainer.  (Closes: #703366)
    Kudos to Stefan Fritsch for his work on apt-file.
  * When using "-f" and no files are given, default to stdin.
    (Closes: #703594)
  * Bump Standards-Versions to 3.9.4 - no changes required.
  * Use the canonical URIs for the Vcs-* fields.

 -- Niels Thykier <niels@thykier.net>  Sun, 05 May 2013 09:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefan Fritsch <sf@debian.org>
+XSBC-Original-Maintainer: Niels Thykier <niels@thykier.net>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl
-Standards-Version: 3.9.3
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
-Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/
+Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl,
+ libtest-minimumversion-perl,
+ libtest-strict-perl,
+ perl,
+ perl (>= 5.12) | libtest-simple-perl (>= 0.93)
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/collab-maint/deb-maint/apt-file/trunk/
+Vcs-svn: svn://s/anonscm.debian.org/viewvc/collab-maint/deb-maint/apt-file/trunk/
 
 Package: apt-file
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 	TEST_TARGET = test
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	jobs = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	PAR_ARGS=-j $(jobs)
+endif
 
 VERSION=$(shell dpkg-parsechangelog |egrep ^Version: | cut -d ' ' -f 2)

## apt-file 2.5.2.3

=== debian/changelog ===
apt-file (2.5.2.3) unstable; urgency=medium

  * Apply patch from Pierre-Elliott Bécue to fix a
    regression caused by the fix for #706284.
    (Closes: #754312)

 -- Niels Thykier <niels@thykier.net>  Wed, 09 Jul 2014 22:24:27 +0200

apt-file (2.5.2.2) unstable; urgency=medium

  * Avoid confusing error message caused by interpreting
    a signal number as an "errno".  Thanks to Julien Cristau
    for spotting this.  (Closes: #731056)
  * Use the name of a signal rather than its number, when
    subprocesses are kiled by such.
  * Correct the Vcs-* URL's in d/control.  Thanks to Alberto
    Fuentes for reporting this.  (Closes: #734714)
  * Bump Standards-Versions to 3.9.5 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Jun 2014 11:54:46 +0200

apt-file (2.5.2.1) unstable; urgency=medium

  * Gracefully handle spaces inside "option"-list in the
    APT sources.list.  (Closes: #706284)

 -- Niels Thykier <niels@thykier.net>  Thu, 19 Jun 2014 19:52:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: apt-file
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Niels Thykier <niels@thykier.net>
+Maintainer: Niels Thykier <niels@thykier.net>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl,
  libtest-minimumversion-perl,
  libtest-strict-perl,
  perl,
  perl (>= 5.12) | libtest-simple-perl (>= 0.93)
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/collab-maint/deb-maint/apt-file/trunk/
-Vcs-svn: svn://s/anonscm.debian.org/viewvc/collab-maint/deb-maint/apt-file/trunk/
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/apt-file/trunk/
+Vcs-svn: svn://anonscm.debian.org/collab-maint/deb-maint/apt-file/trunk
 
 Package: apt-file
 Architecture: all

## apt-file 2.5.2.3ubuntu1

=== debian/changelog ===
apt-file (2.5.2.3ubuntu1) utopic; urgency=medium

  * Fix location of Contents files for Ubuntu.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 12 Jul 2014 22:02:47 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-file
 Section: admin
 Priority: optional
-Maintainer: Niels Thykier <niels@thykier.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Niels Thykier <niels@thykier.net>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl,
  libtest-minimumversion-perl,

## apt-file 2.5.4

=== debian/changelog ===
apt-file (2.5.4) unstable; urgency=medium

  * Apply patch from Cyril Brulebois to support searching for
    files in "udeb" packages.  This requires "debian-installer"
    entries in the sources.list and are represented by the pseudo
    "udeb-<arch>" architecture (e.g. "udeb-amd64").
    (Closes: #766295)

 -- Niels Thykier <niels@thykier.net>  Wed, 22 Oct 2014 22:05:36 +0200

apt-file (2.5.3) unstable; urgency=medium

  * No longer install rapt-file. The backend service this tool uses
    has unfortunately ceased to exist. (Closes: #729283)
  * Checked for policy 3.9.6, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 06 Oct 2014 16:07:45 +0000

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Niels Thykier <niels@thykier.net>
Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl,
 libtest-minimumversion-perl,
 libtest-strict-perl,
 perl,
 perl (>= 5.12) | libtest-simple-perl (>= 0.93)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://anonscm.debian.org/collab-maint/deb-maint/apt-file/trunk

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl,
 libregexp-assemble-perl, libfile-temp-perl
#Recommends: python, python-apt
Suggests: openssh-client, sudo
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.
# If you would prefer not to download the large files used by apt-file you can
# run rapt-file, which calls a remote server to do the searches.

## apt-file 2.5.4ubuntu1

=== debian/changelog ===
apt-file (2.5.4ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - apt-file: Fix location of Contents files for Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 23 Dec 2014 03:48:11 -0500

## apt-file 2.5.5ubuntu1

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	$(INSTALL) -m 644 apt-file.1 $(MANDIR)
 	$(INSTALL) -m 644 diffindex-download.1 $(MANDIR)
 	$(INSTALL) -m 644 diffindex-rred.1 $(MANDIR)
-	$(INSTALL) -m 644 rapt-file.1 $(MANDIR)
+#	$(INSTALL) -m 644 rapt-file.1 $(MANDIR)
 	$(INSTALL) -d -m 755 $(BINDIR)
 	$(INSTALL) -m 755 apt-file $(BINDIR)
 	$(INSTALL) -m 755 diffindex-download $(BINDIR)
@@ -34,14 +34,14 @@
 	rm -f $(BINDIR)/apt-file
 	rm -f $(ETCDIR)/apt-file.conf
 	rm -f $(MANDIR)/apt-file.1
-	rm -f $(MANDIR)/rapt-file.1
+#	rm -f $(MANDIR)/rapt-file.1
 
 man:
 	$(DOCBOOK2MAN) apt-file.1.sgml
 	$(DOCBOOK2MAN) diffindex-download.1.sgml
 	$(DOCBOOK2MAN) diffindex-rred.1.sgml
 	$(DOCBOOK2MAN) apt-file.fr.1.sgml
-	$(DOCBOOK2MAN) rapt-file.1.sgml
+#	$(DOCBOOK2MAN) rapt-file.1.sgml
 
 test:
 	prove

=== debian/changelog ===
apt-file (2.5.5ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - apt-file: Fix location of Contents files for Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 18 Feb 2016 03:26:40 -0500

apt-file (2.5.5) unstable; urgency=medium

  * diffindex-download: Ignore unknown fields in the PDiff
    Index file.  Thanks to Julien Cristau for reporting
    the issue.  (Closes: #809656)

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jan 2016 13:10:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-file
 Section: admin
 Priority: optional
-Maintainer: Niels Thykier <niels@thykier.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Niels Thykier <niels@thykier.net>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl,
  libtest-minimumversion-perl,

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	install -m 644 debian/apt-file.update-notifier    debian/apt-file/usr/share/apt-file/apt-file-update.update-notifier
 	install -m 755 debian/apt-file.do-apt-file-update debian/apt-file/usr/share/apt-file/do-apt-file-update
 	install -m 755 debian/apt-file.is-cache-empty     debian/apt-file/usr/share/apt-file/is-cache-empty
-	install -m 755 rapt-file			  debian/apt-file/usr/bin/rapt-file
+#	install -m 755 rapt-file			  debian/apt-file/usr/bin/rapt-file
 
 
 # Build architecture-independent files here.

## apt-file 3.1.4

=== debian/changelog ===
apt-file (3.1.4) unstable; urgency=medium

  * Fix typo in 60disable-contents-fetching.conf.  Thanks to
    Felix Geyer for spotting it.  (Closes: #843453)
  * apt-file: Fix two spelling mistakes in the --help output.
    Thanks to "axhn" on IRC and Guillem Jover for spotting
    them.

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Jan 2017 20:39:04 +0000

apt-file (3.1.3) unstable; urgency=medium

  * apt-file: Gracefully handle if origins (or suites) have spaces
    in them.  (Closes: #843401, #843403)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2016 15:03:52 +0000

apt-file (3.1.2) unstable; urgency=medium

  [ Niels Thykier ]
  * apt-file: Strip Contents header without discarding results (Closes: #676642)
  * apt-file: Restructure --help output.
  * apt-file: Support --filter-suites and --filter-origins options.  These
    make it possible to only search in (e.g.) Debian/unstable even if
    other origins or/and suites are downloaded.
  * apt-file.1: Clarify that --config-file and --option can be used to
    overwrite other command line parameters.

  [ Paul Wise ]
  * Make the package filter regex match the sectionless Contents-source format
  * Strip the Contents header from the sid cache in the tests

  [ Time Potter ]
  * Fix typo in apt-file manpage.  (Closes: #843122)

 -- Niels Thykier <niels@thykier.net>  Sat, 05 Nov 2016 15:54:12 +0000

apt-file (3.1.1) unstable; urgency=medium

  * apt-file: Fix off-by-one causing "uninitialized value"
    warning.  Thanks to Paul Wise for reporting the issue.
    (Closes: #838296)
  * apt-file: Use "apt-get" instead of "apt" for the update
    command if STDOUT is not a TTY.  This is to avoid a
    warning from apt about it being unsuitable for scripts.

 -- Niels Thykier <niels@thykier.net>  Wed, 21 Sep 2016 18:53:01 +0000

apt-file (3.1) unstable; urgency=medium

  * Move apt-file under the APT packaging team.
  * apt-file: Fix bug in handling patterns starting with "-".
    Thanks to Paul Wise for reporting the issue.
    (Closes: #821016)
  * apt-file: Fix bug where package listing did not work if the
    Contents files did not include sections.  Thanks to
    "Unit 193" for the report.  (Closes: #820560)
  * apt-file-2-update.sh: Correct path to the "partial" directory.
    Thanks to Ritesh Raj Sarraf for the report.  (Closes: #832131)
  * apt-file, 50apt-file.conf: Support fetching of Contents files
    in legacy locations (as used by Ubuntu) by default.  This
    requires apt 1.3.
  * apt-file: Support setting a default value for -I/--index-names
    in the apt config file.  Thanks to Cyril Brulebois for the
    suggestion (part of #825293)
  * apt-file: Accept "ALL" as a special index name for -I.  When
    given, apt-file will search all of its indices.  Thanks to
    Cyril Brulebois for the suggestion (part of #825293).
  * debian/NEWS: Clarify that the indices for source packages and
    udebs are disabled in the apt-file 2 -> 3 transition.  These
    must be manually reabled.  Thanks to Cyril Brulebois for the
    report.  (Closes: #825293)
  * apt-file: Exit with an error if a subprocess exits non-zero
    (except for grep) or is killed by a signal.  Thanks to
    Paul Wise for the suggestion.  (Closes: #825883)
  * Set debhelper compat to "beta-tester" and bump the minimum
    requirements for debhelper to 10.
  * Bump Standards-Versions to 3.9.8 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Sep 2016 09:59:50 +0000

apt-file (3.0) unstable; urgency=low

  * Upload to unstable.
  * d/bash-completion: Update bash-completion to include the
    new command line options.
  * apt-file-2-update.sh: Fix a bug in --uninstall, where it would
    not remove /etc/apt/apt-file.conf
  * 50apt-file.conf: Disable Contents-dsc by default.  They are
    vastly more resource heavy than the rest.
  * README: Document how to change which Contents files are
    downloaded.
  * d/changelog: Add some missing "LP:"-closes in the 3.0~exp entry.
  * Merge and improve the NEWS entries for the experimental apt-file
    3.0 uploads.
  * Drop update-notifier scripts since update-notifier has been
    removed from Debian.
  * d/control: Bump Standards-Versions to 3.9.7 - no changes
    required.

 -- Niels Thykier <niels@thykier.net>  Tue, 22 Mar 2016 11:51:27 +0000

apt-file (3.0~exp4) experimental; urgency=medium

  * apt-file: Read /etc/apt/apt-file.conf by default if it
    exists.
  * Install example configuration for how to emulate apt-file/2
    behaviour in some cases.
  * apt-file.pod: Document a how-to for two common apt-file/2
    configurations.
  * debian/NEWS: Document the existence of the new example
    configurations.
  * Make the test suite independent of the system's APT
    configuration.
  * d/control: apt-file is now maintained in a git repository.
  * d/compat: Live life at the edge - bump to compat 10.
  * d/control: Remove Enrico Zini from the list of Uploaders.
    Thanks for your work up till now!
  * Makefile: Use $(MAKE) when invoking a make.

 -- Niels Thykier <niels@thykier.net>  Tue, 12 Jan 2016 21:25:55 +0000

apt-file (3.0~exp3) experimental; urgency=medium

  * apt-file: Accept -c/-o with the same meaning as APT's
    options of same name.  They will also be passed to all
    APT commands called by apt-file.
    (Closes: #516817, #772804)
  * Add versioned Breaks on command-not-found and apt-venv.
  * apt-file(.pod): Expand and document the exit codes used by
    apt-file.
  * apt-file: Fix bug where -x and --substring-match searches
    incorrectly discarded results, where the filename had
    spaces *after* the given pattern matched.
    (Closes: #810566)
  * apt-file.pod: Document that not all APT repositories have
    Contents files.  (Closes: #712555)
  * apt-file.pod: Clarify that search defaults to
    --substring-search and list defaults to --fixed-string.
    (Closes: #766729)

 -- Niels Thykier <niels@thykier.net>  Sun, 10 Jan 2016 14:20:10 +0000



=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>
Build-Depends:
 apt (>= 1.3~exp1~),
 debhelper (>= 10~),
 libapt-pkg-perl,
 liblist-moreutils-perl,
 libregexp-assemble-perl,
 libtest-minimumversion-perl,
 libtest-strict-perl,
 perl,
 bash-completion,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/apt-file.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-file.git

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 apt (>= 1.3~exp1~),
 libapt-pkg-perl, liblist-moreutils-perl,
 libregexp-assemble-perl
Breaks: apt-venv (<< 1.0.0-1~),
        command-not-found (<< 0.2.38-2~),
        devscripts (<< 2.15.10~),
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.
# If you would prefer not to download the large files used by apt-file you can
# run rapt-file, which calls a remote server to do the searches.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with bash-completion

override_dh_install:
	dh_install
	install -d                                        debian/apt-file/usr/share/apt-file
	install -m 755 debian/apt-file.is-cache-empty     debian/apt-file/usr/share/apt-file/is-cache-empty
#	install -m 755 rapt-file			  debian/apt-file/usr/bin/rapt-file

## apt-file 3.1.5

=== tests-apt-file/Makefile ===
TEST_PRG=../apt-file
export TEST_DIR=$(CURDIR)
export APT_CONFIG=$(CURDIR)/empty.conf

test:
	set -e ; for a in cache/*fooarch ; do gzip -c < $$a > $$a.gz ; done
	PATH=$(CURDIR)/bin:$$PATH ./runtests $(TEST_PRG) -a fooarch

clean:
	rm -f cache/*.gz

=== debian/changelog ===
apt-file (3.1.5) unstable; urgency=medium

  * Remove rapt-file and two obsolete .sgml files from the source.
  * Set R³ to no; apt-file does not need (fake)root during the
    binary-targets in the package builds.
  * Skip dh_strip_determinism; it is a no-op at the moment and
    is planned to be removed eventually.
  * Set debhelper compat to 10.
  * Bump Standards-Version to 4.1.1 - no additional changes
    required.

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Oct 2017 10:47:05 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  libtest-strict-perl,
  perl,
  bash-completion,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/apt-file.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-file.git

## apt-file 3.1.6

=== debian/changelog ===
apt-file (3.1.6) unstable; urgency=medium

  * Fix typo in the changelog
  * Update Vcs-* fields to point to salsa.debian.org.
  * Bump Standards-Versions to 4.1.4 - No changes required.
  * Bump debhelper compat 11 via the new "debhelper-compat"
    dependency.

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Apr 2018 09:43:50 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Niels Thykier <niels@thykier.net>
 Build-Depends:
  apt (>= 1.3~exp1~),
- debhelper (>= 10~),
+ debhelper-compat (= 11),
  libapt-pkg-perl,
  liblist-moreutils-perl,
  libregexp-assemble-perl,
@@ -14,9 +14,9 @@
  perl,
  bash-completion,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/apt-file.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-file.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/apt-team/apt-file
+Vcs-Git: https://salsa.debian.org/apt-team/apt-file.git
 
 Package: apt-file
 Architecture: all

## apt-file 3.2.1

=== debian/changelog ===
apt-file (3.2.1) unstable; urgency=medium

  * Include a final new-line in the 50apt-file.conf file.  Thanks to
    Sven Joachim for reporting its absence.  (Closes: #917304)
  * Optimize "apt-file list-indices" by about a factor 3 in the
    default case by calling "apt-get indextargets" only once rather
    than once per index.
  * Have apt-file print status indicators when stdout is a TTY
    (and when not running in debug mode).
  * Explicitly pass configuration file to apt-file during the test
    to fix a problem with the autopkgtests failing.

 -- Niels Thykier <niels@thykier.net>  Fri, 28 Dec 2018 10:06:14 +0000

apt-file (3.2) unstable; urgency=medium

  * Drop now unnecessary lintian-overrides.
  * Add a new "list-indices" command to list which indices can be
    enabled/disabled and searched (using the -I command).
  * Assume that Contents files no longer have a descriptive header
    that contains human-readable instructions for how to read the
    file.  If you are working with Contents files that still have
    them, then set "apt-file::Parser::Check-For-Description-Header"
    to "true" in /etc/apt/apt.conf.d/50apt-file.conf.  Thanks to
    Paul Wise for making this factor 2 speed improvement possible.
    (Closes: #881406)
  * Reset the error message for when the apt-file cache is empty
    to refer to "apt-file update" instead of "apt update".
    (Closes: #857095)
  * Clarify in apt-file.1 that "apt-file update" is not deprecated
    as it has a special case where it is different from a regular
    "apt update" / "apt-get update".
  * Sort the options in the --help output (except for --help and
    "--", which are both deliberately last).  (Closes: #651684)
  * Bump Standards-Version to 4.3.0.

 -- Niels Thykier <niels@thykier.net>  Tue, 25 Dec 2018 16:00:53 +0000

## apt-file 3.2.2

=== Makefile ===
#
# apt-file - APT package searching utility -- command-line interface
# Makefile
#

#DESTDIR=debian/apt-file

INSTALL=install

BINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc/apt/apt.conf.d
MANDIR=$(DESTDIR)/usr/share/man/man1
COMPDIR=$(DESTDIR)/etc/bash_completion.d

all: man

install:
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -m 644 apt-file.1 $(MANDIR)
#	$(INSTALL) -m 644 rapt-file.1 $(MANDIR)
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) -m 755 apt-file $(BINDIR)
	$(INSTALL) -d -m 755 $(ETCDIR)
	$(INSTALL) -m 644 50apt-file.conf $(ETCDIR)
#	$(INSTALL) -d -m 755 $(COMPDIR)
#	$(INSTALL) -m 644 apt-file.bash_completion $(COMPDIR)/apt-file

uninstall:
	rm -f $(BINDIR)/apt-file
	rm -f $(ETCDIR)/50apt-file.conf
	rm -f $(MANDIR)/apt-file.1
#	rm -f $(MANDIR)/rapt-file.1

man:
	pod2man apt-file.pod > apt-file.1
#	$(DOCBOOK2MAN) rapt-file.1.sgml

test:
	prove
	$(MAKE) -C tests-apt-file test

clean:
	rm -f *~ manpage.* apt-file.1 rapt-file.1 apt-file.fr.1
	$(MAKE) -C tests-apt-file clean

=== tests-apt-file/Makefile ===
TEST_PRG=../apt-file
export TEST_DIR=$(CURDIR)
export APT_CONFIG=$(CURDIR)/test-config.conf

test:
	set -e ; for a in cache/*fooarch ; do gzip -c < $$a > $$a.gz ; done
	PATH=$(CURDIR)/bin:$$PATH ./runtests $(TEST_PRG) -a fooarch -c $(APT_CONFIG)

clean:
	rm -f cache/*.gz

=== debian/changelog ===
apt-file (3.2.2) unstable; urgency=medium

  * Fix bug where the progress indicator was still been using
    under debug mode (despite the intention for it to be
    disabled as it clashes with the debug messages).
  * README.md: Update links to Julian's blog.  (Closes: #921115)
  * Optimize imports to reduce start up time a bit.

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Feb 2019 09:20:04 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  perl,
  bash-completion,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/apt-team/apt-file
 Vcs-Git: https://salsa.debian.org/apt-team/apt-file.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with bash-completion

override_dh_install:
	dh_install
	install -d                                        debian/apt-file/usr/share/apt-file
	install -m 755 debian/apt-file.is-cache-empty     debian/apt-file/usr/share/apt-file/is-cache-empty

# The apt-file package is perfectly reproducible without
# strip-nondeterminism; Drop the helper to prove it.
override_dh_strip_nondeterminism:

=== debian/tests/control ===
Tests: testsuite
Depends: @,
         @builddeps@

## apt-file 3.2.2+nmu1

=== debian/changelog ===
apt-file (3.2.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:45 +0800

## apt-file 3.3

=== debian/changelog ===
apt-file (3.3) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.

  [ Niels Thykier ]
  * Add new --stream-results argument to apt-file.  This option
    will make apt-file emit results as soon as they are found
    but also emit duplicate results in many cases.  It can greatly
    reduce memory usage and runtime spent up to first result.

  [ Ville Skyttä ]
  * apt-file: Replace `fgrep` with `grep -E`.  (Closes: #1019329)

  [ Lucy Phipps ]
  * apt-file: Fix invalid call to stop_with_msg.
  * debian/control: Remove obsolete (build-)dependency on
    liblist-moreutils-perl.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on apt.
    + apt-file: Drop versioned constraint on apt in Depends.
    + apt-file: Drop versioned constraint on apt-venv, command-not-found and
      devscripts in Breaks.
    + Remove 2 maintscript entries from 1 files.
  * Bump debhelper from old 11 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Niels Thykier <niels@thykier.net>  Sat, 10 Sep 2022 10:35:07 +0000

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>
Build-Depends:
 apt,
 debhelper-compat (= 13),
 libapt-pkg-perl,
 libregexp-assemble-perl,
 libtest-minimumversion-perl,
 libtest-strict-perl,
 perl,
 bash-completion,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/apt-team/apt-file
Vcs-Git: https://salsa.debian.org/apt-team/apt-file.git

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 apt,
 libapt-pkg-perl, libregexp-assemble-perl
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.
# If you would prefer not to download the large files used by apt-file you can
# run rapt-file, which calls a remote server to do the searches.

## apt-file 3.3ubuntu1

=== debian/changelog ===
apt-file (3.3ubuntu1) resolute; urgency=medium

  * Support architecture variants (LP: #2130385)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 31 Oct 2025 00:36:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-file
 Section: admin
 Priority: optional
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>
 Build-Depends:
  apt,

## apt-file 3.3ubuntu2

=== debian/changelog ===
apt-file (3.3ubuntu2) resolute; urgency=medium

  * Handle missing APT::Architecture-Variants (LP: #2130385)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 05 Jan 2026 15:16:20 +1300
